<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class osmaControllerCron extends JControllerLegacy {

    public function doCron() {
        $dbo = JFactory::getDbo();
        $params = JComponentHelper::getParams('com_osma');
        $query = $dbo->getQuery(true);

        $setup = array(
            'scadenzePistole' => $params->get('cron_lapse_scadenzePistole'),
            'scadenziario' => $params->get('cron_lapse_scadenziario'),
            'visiteMediche' => $params->get('cron_lapse_visiteMediche'),
            'scadenzeAttrezzature' => $params->get('cron_lapse_scadenzeAttrezzature'),
            'scadenzeMezzi' => $params->get('cron_lapse_scadenzeMezzi'),
        );

        foreach ($setup as $hook => $lapse) {
            if (!method_exists($this, $hook)) {
                die("Method {$hook} not exists");
            }
            $execute = false;
            $query->clear();
            $query->select("COUNT(*)")->from("#__osma_cron")->where("hook = " . $dbo->quote($hook));
            $dbo->setQuery($query);
            if (!$dbo->loadResult()) {
                $dbo->setQuery("INSERT INTO #__osma_cron (hook, last_action, next_action) VALUES ('{$hook}', CURRENT_TIME, DATE_ADD(CURRENT_TIME, INTERVAL {$lapse}))")->execute();
                $execute = true;
            } else {
                $query->clear();
                $query->select("COUNT(*)")->from("#__osma_cron")->where("hook = " . $dbo->quote($hook))->where("next_action <= CURRENT_TIME");
                $dbo->setQuery($query);
                if ($dbo->loadResult()) {
                    $dbo->setQuery("UPDATE #__osma_cron SET last_action = CURRENT_TIME, next_action = DATE_ADD(CURRENT_TIME, INTERVAL {$lapse}) WHERE hook = '{$hook}'")->execute();
                    $execute = true;
                }
            }
            if ($execute) {
                $this->$hook();
            }
        }
    }

    public function scadenzePistole() {
        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);

        $query->clear()
                ->select("*")
                ->from("#__osma_anagrafica_pistole p")
                ->innerJoin("#__osma_anagrafica_prodotti_erogati prod ON prod.idProdottoErogato = p.idProdottoErogato")
                ->innerJoin("#__osma_anagrafica_matricole m ON m.idMatricola = p.idMatricola")
                ->innerJoin("#__osma_xref_gestore_matricole xm ON xm.idMatricola = m.idMatricola")
                ->innerJoin("#__osma_anagrafica_gestori g ON xm.idGestore = g.idGestore")
                ->where("(scadenzaPeriodica BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH) OR scadenzaPeriodica <= NOW())")
                ->where("m.deleted = 0")
                ->where("scadenzaPeriodica != '0000-00-00'")
                ->where("ignoraScadenza = 0")
                ->order("ragioneSociale");

        $dbo->setQuery($query);

        $results = $dbo->loadObjectList();
        if (!$results) {
            return;
        }

        $pistole = array();
        foreach ($results as $row) {
            $pistole[$row->idGestore] = array(
                'gestore' => array(
                    'ragioneSociale' => $row->ragioneSociale,
                    'indirizzo' => $row->indirizzo,
                    'comune' => $row->comune,
                    'cap' => $row->cap,
                    'provincia' => $row->provincia
                ),
                'pistole' => array()
            );
        }
        foreach ($results as $row) {
            $pistole[$row->idGestore]['pistole'][] = array(
                'idPistola' => $row->idPistola,
                'matricolaPistola' => $row->matricolaPistola,
                'prodottoErogato' => $row->prodottoErogato,
                'scadenzaPeriodica' => $row->scadenzaPeriodica,
            );
        }

        require_once JPATH_COMPONENT . '/lib/php-excel/PHPExcel.php';

        $objPHPExcel = new PHPExcel();
        $count = 0;
        foreach ($pistole as $idGestore => $elem) {
            if ($count != 0) {
                $objPHPExcel->createSheet();
            }
            $objPHPExcel->setActiveSheetIndex($count)
                    ->setCellValue('A1', 'ID Pistola')
                    ->setCellValue('B1', 'Matricola pistola')
                    ->setCellValue('C1', 'Prodotto erogato')
                    ->setCellValue('D1', 'Scadenza periodica')
                    ->setCellValue('E1', 'Ragione sociale gestore')
                    ->setCellValue('F1', 'Indirizzo')
                    ->setCellValue('G1', 'Comune')
                    ->setCellValue('H1', 'CAP')
                    ->setCellValue('I1', 'Provincia');

            $objPHPExcel->getActiveSheet()->setTitle(JFilterOutput::stringURLSafe(substr(ucwords(strtolower($elem['gestore']['ragioneSociale'])), 0, 30)));

            $objPHPExcel->getActiveSheet()->getStyle('A1:I1')->getFont()->setBold(true);
            $objPHPExcel->getActiveSheet()->getStyle('A:I')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_LEFT);

            $arrayData = array();
            foreach ($elem['pistole'] as $row) {
                $arrayData[] = array(
                    $row['idPistola'],
                    $row['matricolaPistola'],
                    ucwords(strtolower($row['prodottoErogato'])),
                    date("d-m-Y", strtotime($row['scadenzaPeriodica'])),
                    $elem['gestore']['ragioneSociale'],
                    $elem['gestore']['indirizzo'],
                    $elem['gestore']['comune'],
                    $elem['gestore']['cap'],
                    $elem['gestore']['provincia']
                );
            }
            $objPHPExcel->getActiveSheet()->fromArray($arrayData, NULL, 'A2');

            foreach (range('A', 'I') as $columnID) {
                $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
            }
            $count++;
        }

        $objPHPExcel->setActiveSheetIndex(0);

        $mailer = JFactory::getMailer();

        $sender = array(
            COM_OSMA_MAIL_EMAIL,
            JFactory::getConfig()->get('sitename')
        );

        $mailer->setSender($sender);

        $recipient = array(COM_OSMA_MAIL_UFFICIO, COM_OSMA_MAIL_TO, COM_OSMA_MAIL_MARIOTTI,'osmasrl@osmasrl.it','manutenzione@osmasrl.it');

        if (JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug") && JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address")) {
            $mailer->addCC(JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address"));
        }

        $mailer->addRecipient($recipient);

        if (count($results) == 1) {
            $mailer->setSubject('Scadenziario: manutenzione pistole - C\'è ' . count($results) . ' pistola con revisione periodica in scadenza');
        } else {
            $mailer->setSubject('Scadenziario: manutenzione pistole - Ci sono ' . count($results) . ' pistole con revisione periodica in scadenza');
        }

        $body = "<strong>ATTENZIONE!</strong><br/><br/>";

        if (count($results) == 1) {
            $body .= "Nel sistema " . COM_OSMA_NAME . " c'è " . count($results) . " pistola con revisione periodica in scadenza o che è già scaduta.<br/><br/>";
        } else {
            $body .= "Nel sistema " . COM_OSMA_NAME . " ci sono " . count($results) . " pistole con revisione periodica in scadenza o che sono già scadute.<br/><br/>";
        }

        $body .= "Controllare l'allegato per l'elenco delle pistole e delle relative scadenze.";

        $mailer->isHtml(true);
        $mailer->Encoding = 'base64';
        $mailer->setBody($body);

        $filename = "scadenze-manutenzioni-pistole-" . date("YmdHi") . ".xls";

        if (!is_dir(JPATH_COMPONENT . "/tmp/")) {
            mkdir(JPATH_COMPONENT . "/tmp/");
        }
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save(JPATH_COMPONENT . "/tmp/{$filename}");

        $mailer->addAttachment(JPATH_COMPONENT . "/tmp/{$filename}");

        $send = $mailer->Send();
        if (!$send) {
            mailerHelper::logMail($mailer, 'CRON: scadenziario pistole', false);
            JError::raiseError(500, implode('<br />', $send->getErrors()));
            return false;
        }
        mailerHelper::logMail($mailer, 'CRON: scadenziario pistole', true);
        unlink(JPATH_COMPONENT . "/tmp/{$filename}");
    }

    public function scadenziario() {

        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);

        $query->clear()
                ->select("*")
                ->from("#__osma_amministrazione_scadenziario s")
                ->innerJoin("#__osma_anagrafica_gestori g ON g.idGestore = s.idGestore")
                ->where("(data != '0000-00-00' AND data < NOW()) OR (data BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH))")
                ->order("ragioneSociale");

        $dbo->setQuery($query);

        $results = $dbo->loadObjectList();
        if (!$results) {
            return;
        }

        $mailer = JFactory::getMailer();

        $sender = array(
            COM_OSMA_MAIL_EMAIL,
            JFactory::getConfig()->get('sitename')
        );

        $mailer->setSender($sender);

        $recipient = array(COM_OSMA_MAIL_UFFICIO, COM_OSMA_MAIL_TO, COM_OSMA_MAIL_MARIOTTI,'osmasrl@osmasrl.it','manutenzione@osmasrl.it');

        if (JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug") && JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address")) {
            $mailer->addCC(JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address"));
        }

        $mailer->addRecipient($recipient);

        if (count($results) == 1) {
            $mailer->setSubject('Scadenziario: c\'è ' . count($results) . ' scadenza programmata');
        } else {
            $mailer->setSubject('Scadenziario: ci sono ' . count($results) . ' scadenze programmate');
        }

        $body = "<strong>ATTENZIONE!</strong><br/><br/>";

        if (count($results) == 1) {
            $body .= "Nel sistema " . COM_OSMA_NAME . " c'è " . count($results) . " scadenza programmata da gestire.<br/><br/>";
        } else {
            $body .= "Nel sistema " . COM_OSMA_NAME . " ci sono " . count($results) . " scadenze programmate da gestire.<br/><br/>";
        }

        $body .= "Ecco l'elenco dei gestori con le relative scadenze:";


        $body .= "<ul>";
        foreach ($results as $result) {
            $body .= "<li>{$result->ragioneSociale}, {$result->comune} ({$result->provincia}) - In scadenza: " . date("d/m/Y", strtotime($result->data)) . "</li>";
        }
        $body .= "</ul>";

        $mailer->isHtml(true);
        $mailer->Encoding = 'base64';
        $mailer->setBody($body);

        $send = $mailer->Send();
        if (!$send) {
            mailerHelper::logMail($mailer, 'CRON: scadenziario', false);
            JError::raiseError(500, implode('<br />', $send->getErrors()));
            return false;
        }
        mailerHelper::logMail($mailer, 'CRON: scadenziario', true);
        return true;
    }

    public function visiteMediche() {
        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);

        $query->clear()
                ->select("*")
                ->from("#__osma_anagrafica_manutentori m")
                ->innerJoin("#__users u ON u.id = m.idUser")
                ->where("(scadenzaVisita BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH) OR scadenzaVisita <= NOW()) AND scadenzaVisita != '0000-00-00'");

        $dbo->setQuery($query);

        $results = $dbo->loadObjectList();
        if (!$results) {
            return;
        }

        $mailer = JFactory::getMailer();

        $sender = array(
            COM_OSMA_MAIL_EMAIL,
            JFactory::getConfig()->get('sitename')
        );

        $mailer->setSender($sender);

        $recipient = array(COM_OSMA_MAIL_UFFICIO, COM_OSMA_MAIL_TO, COM_OSMA_MAIL_MARIOTTI,'osmasrl@osmasrl.it');

        if (JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug") && JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address")) {
            $mailer->addCC(JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address"));
        }

        $mailer->addRecipient($recipient);

        if (count($results) == 1) {
            $mailer->setSubject('Scadenziario: visite mediche manutentori - C\'è ' . count($results) . ' visita in scadenza');
        } else {
            $mailer->setSubject('Scadenziario: visite mediche manutentori - Ci sono ' . count($results) . ' visite in scadenza');
        }

        $body = "<strong>ATTENZIONE!</strong><br/><br/>";

        if (count($results) == 1) {
            $body .= "Nel sistema " . COM_OSMA_NAME . " c'è " . count($results) . " visita medica di un manutentore che sta per scadere o che è già scaduta.<br/><br/>";
        } else {
            $body .= "Nel sistema " . COM_OSMA_NAME . " ci sono" . count($results) . " visite mediche dei manutentori che stanno per scadere o che sono già scadute.<br/><br/>";
        }

        $body .= "Controllare l'allegato per l'elenco dei nomi dei manutentori e le relative scadenze.";

        $mailer->isHtml(true);
        $mailer->Encoding = 'base64';
        $mailer->setBody($body);

        require_once JPATH_COMPONENT . '/lib/php-excel/PHPExcel.php';

        $objPHPExcel = new PHPExcel();

        $objPHPExcel->setActiveSheetIndex(0)
                ->setCellValue('A1', 'ID Manutentore')
                ->setCellValue('B1', 'Nome')
                ->setCellValue('C1', 'Data di scadenza visita');

        $objPHPExcel->getActiveSheet()->setTitle("Scadenze visite mediche");

        $objPHPExcel->getActiveSheet()->getStyle('A1:C1')->getFont()->setBold(true);
        $objPHPExcel->getActiveSheet()->getStyle('A:C')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_LEFT);


        $arrayData = array();
        foreach ($results as $row) {
            $arrayData[] = array(
                $row->idManutentore,
                $row->name,
                date("d-m-Y", strtotime($row->scadenzaVisita))
            );
        }
        $objPHPExcel->getActiveSheet()->fromArray($arrayData, NULL, 'A2');

        $objPHPExcel->setActiveSheetIndex(0);

        foreach (range('A', 'C') as $columnID) {
            $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
        }
        $filename = "scadenze-visite-mediche-" . date("YmdHi") . ".xls";

        if (!is_dir(JPATH_COMPONENT . "/tmp/")) {
            mkdir(JPATH_COMPONENT . "/tmp/");
        }
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save(JPATH_COMPONENT . "/tmp/{$filename}");

        $mailer->addAttachment(JPATH_COMPONENT . "/tmp/{$filename}");

        $send = $mailer->Send();
        if (!$send) {
            mailerHelper::logMail($mailer, 'CRON: scadenziario visite mediche', false);
            JError::raiseError(500, implode('<br />', $send->getErrors()));
            return false;
        }
        mailerHelper::logMail($mailer, 'CRON: scadenziario visite mediche', true);
        unlink(JPATH_COMPONENT . "/tmp/{$filename}");
    }

    public function scadenzeAttrezzature() {
        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);

        $query->clear()
                ->select("*")
                ->from("#__osma_anagrafica_attrezzature")
                ->where("(scadenzaRevisione BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH) OR scadenzaRevisione <= NOW()) AND scadenzaRevisione != '0000-00-00'")
                ->where("deleted = 0");

        $dbo->setQuery($query);

        $results = $dbo->loadObjectList();
        if (!$results) {
            return;
        }

        $mailer = JFactory::getMailer();

        $sender = array(
            COM_OSMA_MAIL_EMAIL,
            JFactory::getConfig()->get('sitename')
        );

        $mailer->setSender($sender);

        $recipient = array(COM_OSMA_MAIL_UFFICIO, COM_OSMA_MAIL_TO, COM_OSMA_MAIL_MARIOTTI,'osmasrl@osmasrl.it','manutenzione@osmasrl.it');

        if (JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug") && JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address")) {
            $mailer->addCC(JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address"));
        }

        $mailer->addRecipient($recipient);

        if (count($results) == 1) {
            $mailer->setSubject('Scadenziario: revisioni attrezzature - C\'è ' . count($results) . ' revisione in scadenza');
        } else {
            $mailer->setSubject('Scadenziario: revisioni attrezzature - Ci sono ' . count($results) . ' revisioni in scadenza');
        }

        $body = "<strong>ATTENZIONE!</strong><br/><br/>";

        if (count($results) == 1) {
            $body .= "Nel sistema " . COM_OSMA_NAME . " c'è " . count($results) . " un'attrezzatura con revisione periodica in scadenza o scaduta.<br/><br/>";
        } else {
            $body .= "Nel sistema " . COM_OSMA_NAME . " ci sono" . count($results) . " delle attrezzature con revisione periodica in scadenza o scaduta.<br/><br/>";
        }

        $body .= "Controllare l'allegato per l'elenco delle attrezzature e le relative scadenze.";

        $mailer->isHtml(true);
        $mailer->Encoding = 'base64';
        $mailer->setBody($body);

        require_once JPATH_COMPONENT . '/lib/php-excel/PHPExcel.php';

        $objPHPExcel = new PHPExcel();

        $objPHPExcel->setActiveSheetIndex(0)
                ->setCellValue('A1', 'ID Attrezzatura')
                ->setCellValue('B1', 'Tipologia')
                ->setCellValue('C1', 'Modello')
                ->setCellValue('D1', 'Marca')
                ->setCellValue('E1', 'Data di scadenza revisione');

        $objPHPExcel->getActiveSheet()->setTitle("Scadenze revisioni attrezzature");

        $objPHPExcel->getActiveSheet()->getStyle('A1:E1')->getFont()->setBold(true);
        $objPHPExcel->getActiveSheet()->getStyle('A:E')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_LEFT);


        $arrayData = array();
        foreach ($results as $row) {
            $arrayData[] = array(
                $row->idAttrezzatura,
                $row->tipologia,
                $row->modello,
                $row->marca,
                date("d-m-Y", strtotime($row->scadenzaRevisione))
            );
        }
        $objPHPExcel->getActiveSheet()->fromArray($arrayData, NULL, 'A2');

        $objPHPExcel->setActiveSheetIndex(0);

        foreach (range('A', 'E') as $columnID) {
            $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
        }
        $filename = "scadenze-revisioni-attrezzature-" . date("YmdHi") . ".xls";

        if (!is_dir(JPATH_COMPONENT . "/tmp/")) {
            mkdir(JPATH_COMPONENT . "/tmp/");
        }
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save(JPATH_COMPONENT . "/tmp/{$filename}");

        $mailer->addAttachment(JPATH_COMPONENT . "/tmp/{$filename}");

        $send = $mailer->Send();
        if (!$send) {
            mailerHelper::logMail($mailer, 'CRON: scadenziario attrezzature', false);
            JError::raiseError(500, implode('<br />', $send->getErrors()));
            return false;
        }
        mailerHelper::logMail($mailer, 'CRON: scadenziario attrezzature', true);
        unlink(JPATH_COMPONENT . "/tmp/{$filename}");
    }

    public function scadenzeMezzi() {
        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);

        $query->clear()
                ->select("*")
                ->from("#__osma_anagrafica_mezzi")
                ->where("(scadenzaAssicurazione BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH) OR scadenzaAssicurazione <= NOW()) AND scadenzaAssicurazione != '0000-00-00' AND deleted = 0");

        $dbo->setQuery($query);

        $results['assicurazione'] = $dbo->loadObjectList();

        $query->clear()
                ->select("*")
                ->from("#__osma_anagrafica_mezzi")
                ->where("(scadenzaBollo BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH) OR scadenzaBollo <= NOW()) AND scadenzaBollo != '0000-00-00' AND deleted = 0");

        $dbo->setQuery($query);

        $results['bollo'] = $dbo->loadObjectList();

        $query->clear()
                ->select("*")
                ->from("#__osma_anagrafica_mezzi")
                ->where("(scadenzaRevisione BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH) OR scadenzaRevisione <= NOW()) AND scadenzaRevisione != '0000-00-00' AND deleted = 0");

        $dbo->setQuery($query);

        $results['revisione'] = $dbo->loadObjectList();

        if (!$results['assicurazione'] && !$results['bollo'] && !$results['revisione']) {
            return;
        }

        $mailer = JFactory::getMailer();

        $sender = array(
            COM_OSMA_MAIL_EMAIL,
            JFactory::getConfig()->get('sitename')
        );

        $mailer->setSender($sender);

        $recipient = array(COM_OSMA_MAIL_UFFICIO, COM_OSMA_MAIL_TO, COM_OSMA_MAIL_MARIOTTI,'osmasrl@osmasrl.it');

        if (JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug") && JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address")) {
            $mailer->addCC(JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address"));
        }

        $mailer->addRecipient($recipient);

        $counting = count($results['assicurazione']) + count($results['revisione']) + count($results['bollo']);

        if ($counting == 1) {
            $mailer->setSubject('Scadenziario: mezzi - C\'è ' . $counting . ' mezzo con delle scadenze');
        } else {
            $mailer->setSubject('Scadenziario: mezzi - Ci sono ' . $counting . ' mezzi con delle scadenze');
        }

        $body = "<strong>ATTENZIONE!</strong><br/><br/>";

        if ($counting == 1) {
            $body .= "Nel sistema " . COM_OSMA_NAME . " c'è " . $counting . " mezzo con delle scadenze entro i prossimi 2 mesi.<br/><br/>";
        } else {
            $body .= "Nel sistema " . COM_OSMA_NAME . " ci sono " . $counting . " mezzi con delle scadenze entro i prossimi 2 mesi.<br/><br/>";
        }

        $body .= "Controllare l'allegato per l'elenco dei mezzi e le relative scadenze.";

        $mailer->isHtml(true);
        $mailer->Encoding = 'base64';
        $mailer->setBody($body);

        require_once JPATH_COMPONENT . '/lib/php-excel/PHPExcel.php';

        $objPHPExcel = new PHPExcel();

        $count = 0;
        if ($results['revisione']) {
            $objPHPExcel->setActiveSheetIndex($count)
                    ->setCellValue('A1', 'ID Mezzo')
                    ->setCellValue('B1', 'Marca')
                    ->setCellValue('C1', 'Modello')
                    ->setCellValue('D1', 'Targa')
                    ->setCellValue('E1', 'Data di scadenza revisione');

            $objPHPExcel->getActiveSheet()->setTitle("Scadenze revisione");

            $objPHPExcel->getActiveSheet()->getStyle('A1:E1')->getFont()->setBold(true);
            $objPHPExcel->getActiveSheet()->getStyle('A:E')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_LEFT);


            $arrayData = array();
            foreach ($results['revisione'] as $row) {
                $arrayData[] = array(
                    $row->idMezzo,
                    $row->marca,
                    $row->modello,
                    $row->targa,
                    date("d-m-Y", strtotime($row->scadenzaRevisione))
                );
            }
            $objPHPExcel->getActiveSheet()->fromArray($arrayData, NULL, 'A2');

            $objPHPExcel->setActiveSheetIndex(0);

            foreach (range('A', 'E') as $columnID) {
                $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
            }
            $count++;
        }
        if ($results['bollo']) {
            $objPHPExcel->createSheet();
            $objPHPExcel->setActiveSheetIndex($count)
                    ->setCellValue('A1', 'ID Mezzo')
                    ->setCellValue('B1', 'Marca')
                    ->setCellValue('C1', 'Modello')
                    ->setCellValue('D1', 'Targa')
                    ->setCellValue('E1', 'Data di scadenza bollo');

            $objPHPExcel->getActiveSheet()->setTitle("Scadenze bolli");

            $objPHPExcel->getActiveSheet()->getStyle('A1:E1')->getFont()->setBold(true);
            $objPHPExcel->getActiveSheet()->getStyle('A:E')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_LEFT);


            $arrayData = array();
            foreach ($results['bollo'] as $row) {
                $arrayData[] = array(
                    $row->idMezzo,
                    $row->marca,
                    $row->modello,
                    $row->targa,
                    date("d-m-Y", strtotime($row->scadenzaBollo))
                );
            }
            $objPHPExcel->getActiveSheet()->fromArray($arrayData, NULL, 'A2');

            $objPHPExcel->setActiveSheetIndex($count);

            foreach (range('A', 'E') as $columnID) {
                $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
            }
            $count++;
        }
        if ($results['assicurazione']) {
            $objPHPExcel->createSheet();
            $objPHPExcel->setActiveSheetIndex($count)
                    ->setCellValue('A1', 'ID Mezzo')
                    ->setCellValue('B1', 'Marca')
                    ->setCellValue('C1', 'Modello')
                    ->setCellValue('D1', 'Targa')
                    ->setCellValue('E1', 'Data di scadenza assicurazione');

            $objPHPExcel->getActiveSheet()->setTitle("Scadenze assicurazioni");

            $objPHPExcel->getActiveSheet()->getStyle('A1:E1')->getFont()->setBold(true);
            $objPHPExcel->getActiveSheet()->getStyle('A:E')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_LEFT);


            $arrayData = array();
            foreach ($results['assicurazione'] as $row) {
                $arrayData[] = array(
                    $row->idMezzo,
                    $row->marca,
                    $row->modello,
                    $row->targa,
                    date("d-m-Y", strtotime($row->scadenzaBollo))
                );
            }
            $objPHPExcel->getActiveSheet()->fromArray($arrayData, NULL, 'A2');

            $objPHPExcel->setActiveSheetIndex($count);

            foreach (range('A', 'E') as $columnID) {
                $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
            }
            $count++;
        }

        $objPHPExcel->setActiveSheetIndex(0);
        $filename = "scadenze-mezzi-" . date("YmdHi") . ".xls";

        if (!is_dir(JPATH_COMPONENT . "/tmp/")) {
            mkdir(JPATH_COMPONENT . "/tmp/");
        }
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save(JPATH_COMPONENT . "/tmp/{$filename}");

        $mailer->addAttachment(JPATH_COMPONENT . "/tmp/{$filename}");

        $send = $mailer->Send();
        if (!$send) {
            mailerHelper::logMail($mailer, 'CRON: scadenziario mezzi', false);
            JError::raiseError(500, implode('<br />', $send->getErrors()));
            return false;
        }
        mailerHelper::logMail($mailer, 'CRON: scadenziario mezzi', true);
        unlink(JPATH_COMPONENT . "/tmp/{$filename}");
    }

}
