<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
// import Joomla controlleradmin library
jimport('joomla.application.component.controller');

class osmaControllerDashboard extends JControllerLegacy
{

    public function export()
    {

        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("c.*, g.ragioneSociale as gRagioneSociale, g.comune as gComune, g.provincia as gProvincia, g.indirizzo as gIndirizzo, cli.ragioneSociale as cRagioneSociale, com.compagnia")
            ->from("#__osma_chiamate c")
            ->leftJoin("#__osma_chiamata_interventi inte ON inte.idChiamata = c.idChiamata")
            ->innerJoin("#__osma_anagrafica_gestori g ON g.idGestore = c.idGestore")
            ->innerJoin("#__osma_anagrafica_clienti cli ON cli.idCliente = c.idCliente")
            ->innerJoin("#__osma_anagrafica_compagnie com ON com.idCompagnia = c.idCompagnia")
            ->order("c.idChiamata ASC");

        if (JRequest::getVar("from")) {
            $query->where("c.dataApertura BETWEEN '" . JRequest::getVar("from") . "' AND NOW()");
        }
        $man = JRequest::getVar("filter_manutentore");
        if (osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) {
            $man = JFactory::getUser()->get('id');
        }
        if ($man) {
            $query->where("(" . $man . " IN (SELECT idUser FROM #__osma_xref_intervento_utenti u INNER JOIN #__osma_chiamata_interventi i ON i.idIntervento = u.idIntervento WHERE i.idChiamata = c.idChiamata) OR
                            " . $man . " IN (SELECT idInviaMailA FROM #__osma_chiamata_interventi as i WHERE i.idChiamata = c.idChiamata))");
        }

        if (osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE)) {
            if (osmaHelper::isGroup(COM_OSMA_GR_CLIENTI)) {
                $query->where("c.idCliente = " . osmaHelper::getUtenza('idCliente', 'cliente'));
            } elseif (osmaHelper::isGroup(COM_OSMA_GR_GESTORI)) {
                $query->where("c.idGestore = " . osmaHelper::getUtenza('idGestore', 'gestore'));
            }
        }
        /*if (JRequest::getVar("filter_status")) {
            $query->where("c.stato = " . JRequest::getVar("filter_status"));
        }*/


        if (is_array(JRequest::getVar("filter_status"))) {
            if (count(JRequest::getVar("filter_status")) > 0) {
                $status = array_diff(JRequest::getVar("filter_status"), [""]);
                $status = array_unique($status);
                if (count($status) > 0) {
                    $stati = implode(",", $status);
                    $query->where("c.stato IN (" . $stati . ")");
                }
            }

        } elseif (JRequest::getVar("filter_status") != "") {

            $query->where("c.stato =" . JRequest::getVar("filter_status"));
        }


        /* if (JRequest::getVar("filter_type")) {
             $query->where("inte.idTipoIntervento = " . JRequest::getVar("filter_type"));
         }*/
        if (count(JRequest::getVar("filter_type")) > 0) {
            $type = array_diff(JRequest::getVar("filter_type"), [""]);
            $type = array_unique($type);
            if (count($type) > 0) {
                $tipi = implode(",", $type);
                $query->where("inte.idTipoIntervento IN (" . $tipi . ")");
            }
        }

        /* if (JRequest::getVar("filter_chiamata")) {
             $query->where("c.tipo = " . JRequest::getVar("filter_chiamata"));
         }*/
        if (is_array(JRequest::getVar("filter_chiamata"))) {
            if (count(JRequest::getVar("filter_chiamata")) > 0) {

                $tipoChiamata = array_diff(JRequest::getVar("filter_chiamata"), [""]);
                $tipoChiamata = array_unique($tipoChiamata);
                if (count($tipoChiamata) > 0) {
                    $chiamate = implode(",", $tipoChiamata);
                    $query->where("c.tipo IN (" . $chiamate . ")");
                }

            }
        } elseif (JRequest::getVar("filter_chiamata") != "") {
            $query->where("c.tipo =" . JRequest::getVar("filter_chiamata"));
        }


        if (JRequest::getVar("filter_comune")) {
            $query->where("(g.comune LIKE " . $db->q('%' . $db->escape(JRequest::getVar("filter_comune"), true) . '%') . ")");
        }
        if (JRequest::getVar("filter_scadute")) {
            $query->where("(c.dataScadenza < NOW() AND stato != 4)");
        }
        if (JRequest::getVar("filter_daconsuntivare")) {
            $query->where("c.consuntivata = 0");
        }
        if (JRequest::getVar("filter_data")) {
            $query->where("DATE_FORMAT(c.dataScadenza ,  '%d/%m/%Y' ) =  '" . JRequest::getVar("filter_data") . "'");
        }
        if (JRequest::getVar("filter_search")) {
            $search = $db->Quote('%' . $db->escape(JRequest::getVar("filter_search"), true) . '%');
            $query->where("(c.nrChiamata LIKE " . $search . " OR c.nrChiamataCompagnia LIKE " . $search . " OR g.nrPuntoVendita LIKE " . $search . " OR g.comune LIKE " . $search . " OR c.descrizioneGenerale LIKE " . $search . ")");
        }

        if (count(JRequest::getVar("filter_provincia")) > 0) {

            $provincia = array_diff(JRequest::getVar("filter_provincia"), [""]);
            $provincia = array_unique($provincia);

            if (count($provincia) > 0) {
                $provincie = implode("','", $provincia);
                $provincie = "'" . $provincie . "'";
                $query->where("ag.provincia IN (" . $provincie . ")");
            }

        }


        if ((JRequest::getVar("filter_da") && (JRequest::getVar("filter_da") != "")) && (JRequest::getVar("filter_a") && (JRequest::getVar("filter_a") != ""))) {
            $dataDa = str_replace('/', '-', JRequest::getVar("filter_da"));
            $da = date("Y-m-d", strtotime($dataDa));
            $dataA = str_replace('/', '-', JRequest::getVar("filter_a"));
            $a = date("Y-m-d", strtotime($dataA));

            $query->where("c.dataApertura BETWEEN '" . $da . "' AND '" . $a . "'");
        }
        if ((JRequest::getVar("filter_da") && (JRequest::getVar("filter_da") != "")) && (!JRequest::getVar("filter_a") || (JRequest::getVar("filter_a") == ""))) {
            $dataDa = str_replace('/', '-', JRequest::getVar("filter_da"));
            $da = date("Y-m-d", strtotime($dataDa));
            $query->where(" c.dataApertura >= '" . $da . "'");
        }
        if ((!JRequest::getVar("filter_da") && (JRequest::getVar("filter_da") == "")) && (JRequest::getVar("filter_a") && (JRequest::getVar("filter_a") != ""))) {
            $dataA = str_replace('/', '-', JRequest::getVar("filter_a"));
            $a = date("Y-m-d", strtotime($dataA));
            $query->where("c.dataApertura <= '" . $a . "'");
        }


        $db->setQuery($query);
        $db->loadObjectList();

        $filename = "";
        switch (JRequest::getVar("filter_chiamata")) {
            case 1:
                $filename .= "forfait";
                break;
            case 2:
                $filename .= "extraforfait";
                break;
        }
        switch (JRequest::getVar("filter_status")) {
            case 1:
                $filename .= "-sospese";
                break;
        }

        if (JRequest::getVar("from")) {
            $filename .= "-dal-" . JRequest::getVar("from");
        }
        if (JRequest::getVar("filter_scadute")) {
            $filename .= "-scadute";
        }
        if (JRequest::getVar("filter_daconsuntivare")) {
            $filename .= "-daconsuntivare";
        }

        require_once JPATH_COMPONENT . '/lib/php-excel/PHPExcel.php';

        $objPHPExcel = new PHPExcel();

        $objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'ID Chiamata')
            ->setCellValue('B1', 'Nr. chiamata')
            ->setCellValue('C1', 'Nr. chiamata compagnia')
            ->setCellValue('D1', 'Data chiamata')
            ->setCellValue('E1', 'Data scadenza')
            ->setCellValue('F1', 'Tipo chiamata')
            ->setCellValue('G1', 'Stato')
            ->setCellValue('H1', 'Gestore')
            ->setCellValue('I1', 'Indirizzo')
            ->setCellValue('J1', 'Comune')
            ->setCellValue('K1', 'Provincia')
            ->setCellValue('L1', 'Cliente')
            ->setCellValue('M1', 'Compagnia')
            ->setCellValue('N1', 'Oggetto');

        $objPHPExcel->getActiveSheet()->getStyle('A1:N1')->getFont()->setBold(true);
        $objPHPExcel->getActiveSheet()->getStyle('A:N')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_LEFT);

        $arrayData = array();
        $ids = array();
        foreach ($db->loadObjectList() as $row) {
            if (in_array($row->idChiamata, $ids)) {
                continue;
            }
            $ids[] = $row->idChiamata;

            switch ($row->tipo) {
                case 1:
                    $tipoChiamata = "Forfait";
                    break;
                case 2:
                    $tipoChiamata = "Extra forfait";
                    break;
                case 3:
                    $tipoChiamata = "Programmata";
                    break;
                case 4:
                    $tipoChiamata = "Giroluci";
                    break;
                case 5:
                    $tipoChiamata = "Presa visione";
                    break;
            }
            switch ($row->stato) {
                case 1:
                    $stato = "Aperta";
                    break;
                case 2:
                    $stato = "In corso";
                    break;
                case 3:
                    $stato = "Sospesa";
                    break;
                case 4:
                    $stato = "Chiusa";
                    break;

                case 5:
                    $stato = "In attesa di autorizzazione intervento";
                    break;
                case 6:
                    $stato = "In attesa di autorizzazione fatturazione";
                    break;
                case 7:
                    $stato = "Da assegnare";
                    break;
                case 8:
                    $stato = "Da preventivare";
                    break;
                case 9:
                    $stato = "Da consuntivare";
                    break;
                case 10:
                    $stato = "Fatturata";
                    break;
                case 11:
                    $stato = "Da evadere";
                    break;
                case 12:
                    $stato = "Da riformulare";
                    break;
                case 13:
                    $stato = "Preventivata";
                    break;
                case 14:
                    $stato = "Rifiutata";
                    break;
                case 15:
                    $stato = "Evasa";
                    break;
                case 16:
                    $stato = "Terminata";
                    break;
            }
            $arrayData[] = array(
                $row->idChiamata,
                $row->nrChiamata,
                $row->nrChiamataCompagnia,
                date("d-m-Y H:i", strtotime($row->dataApertura)),
                date("d-m-Y H:i", strtotime($row->dataScadenza)),
                $tipoChiamata,
                $stato,
                $row->gRagioneSociale,
                $row->gIndirizzo,
                $row->gComune,
                $row->gProvincia,
                $row->cRagioneSociale,
                $row->compagnia,
                $row->descrizioneGenerale
            );
        }
        $objPHPExcel->getActiveSheet()->fromArray($arrayData, NULL, 'A2');

        $objPHPExcel->setActiveSheetIndex(0);

        foreach (range('A', 'O') as $columnID) {
            $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
        }

        if ($filename) {
            $filename .= "-";
        }


        $filename = "export-{$filename}" . date("dmY-His");
        header('Content-Type: application/vnd.ms-excel');
        header('Content-Disposition: attachment;filename="' . $filename . '.xls"');
        header('Cache-Control: max-age=0');

        header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
        header('Cache-Control: cache, must-revalidate');
        header('Pragma: public');
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save('php://output');
        exit;
    }

}
