<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class OsmaModelGestori extends JModelList {

    public function __construct($config = array()) {
        $config['filter_fields'] = array(
            'ordering',
            'search'
        );
        parent::__construct($config);
        $mainframe = JFactory::getApplication();
        $this->limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
        $this->limitstart = JRequest::getVar('limitstart', 0, '', 'int');
        $this->limitstart = ($this->limit != 0 ? (floor($this->limitstart / $this->limit) * $this->limit) : 0);

        $this->setState('limit', $this->limit);
        $this->setState('limitstart', $this->limitstart);
    }

    public function getItems() {
        $db = JFactory::getDBO();
        $query = $this->costruisciQuery();
        $db->setQuery($query, $this->limitstart, $this->limit);
        $results = $db->loadObjectList();
        return $results;
    }

    public function getTotal() {
        $db = JFactory::getDBO();
        $query = $this->costruisciQuery();
        $db->setQuery($query);
        $db->query();
        $results = $db->getNumRows();
        return $results;
    }

    protected function populateState($ordering = null, $direction = null) {
        $app = JFactory::getApplication('administrator');

        $search = $app->getUserStateFromRequest($this->context . '.filter.search', 'filter_search');
        //Omit double (white-)spaces and set state
        $this->setState('filter.search', preg_replace('/\s+/', ' ', $search));
        parent::populateState('ordering', 'ASC');
    }

    public function costruisciQuery() {
        //$filterCompanyName = JRequest::getVar('filterCompanyName');

        $db = JFactory::getDBO();
        $q = $db->getQuery(true);

        $search = $db->escape($this->getState('filter.search'));
        $q->select("g.*, c.compagnia")
                ->from("#__osma_anagrafica_gestori AS g")
                ->leftJoin("#__osma_anagrafica_compagnie AS c ON g.idCompagnia = c.idCompagnia")
                ->where("g.deleted = 0")
                ->order("ragioneSociale ASC");

        if (!empty($search)) {
            $search = $db->q('%' . $db->escape($search, true) . '%');
            $q->where("(c.ragioneSociale LIKE " . $search . " OR com.compagnia LIKE " . $search . " OR c.comune LIKE " . $search . " OR c.nrPuntoVendita LIKE " . $search . ")");
        }

        $user = JFactory::getUser();
        if (!$user->guest) {
            $profile = JUserHelper::getProfile($user->id);
            if ($profile->profile['address1']) {
                $q->where("idAzienda = " . $db->q($profile->profile['address1']));
            }
        }

        return $q;
    }

    function addGestoriForm() {
        $db = JFactory::getDBO();
        $type = 1;

        $idGestore = JRequest::getVar("id");

        $query = "SELECT *
            FROM #__osma_anagrafica_gestori
            WHERE idGestore=" . $idGestore;

        $db->setQuery($query);
        $db->query();
        $data = $db->loadObject();

        //trovo contatti
        $query = "SELECT *
            FROM #__osma_gestori_contatti
            WHERE idGestore=" . $idGestore . " ORDER BY riferimento ASC";

        $db->setQuery($query);
        $db->query();
        $contatti = $db->loadObjectList();

        //trovo clienti
        $query = "SELECT idCliente,ragioneSociale
              FROM #__osma_anagrafica_clienti
              WHERE published=1 and deleted=0 ORDER BY ragioneSociale ASC";
        $db->setQuery($query);
        $db->query();
        $clienti = $db->loadObjectList();

        //trovo compagnie
        $query = "SELECT idCompagnia,compagnia
              FROM #__osma_anagrafica_compagnie
              WHERE published=1 and deleted=0 ORDER BY compagnia ASC";
        $db->setQuery($query);
        $db->query();
        $compagnie = $db->loadObjectList();

        //trovo prodotti erogati
        $query = "SELECT idProdottoErogato,prodottoErogato
              FROM #__osma_anagrafica_prodotti_erogati
              WHERE published=1 and deleted=0 ORDER BY prodottoErogato ASC";
        $db->setQuery($query);
        $db->query();
        $prodotti = $db->loadObjectList();

        //trovo cisterne
        $query = "SELECT *
              FROM #__osma_anagrafica_cisterne AS c
              LEFT JOIN #__osma_anagrafica_prodotti_erogati AS pe ON c.idProdotto=pe.idProdottoErogato
              WHERE c.idGestore=" . $idGestore . " AND c.published=1 and c.deleted=0 ORDER BY c.nrCisterna ASC";
        $db->setQuery($query);
        $db->query();
        $cisterne = $db->loadObjectList();

        if ($data->idUser) {
            $user = JFactory::getUser($data->idUser);
            $data->username = $user->get('username');
            $data->usernameemail = $user->get('email');
        }

        include('components/com_osma/templates/addgestore.php');
    }

    function printGestore() {
        $db = JFactory::getDBO();
        $type = 1;

        $idGestore = JRequest::getVar("id");

        $query = "SELECT *
            FROM #__osma_anagrafica_gestori
            WHERE idGestore=" . $idGestore;

        $db->setQuery($query);
        $db->query();
        $data = $db->loadObject();

        //trovo contatti
        $query = "SELECT *
            FROM #__osma_gestori_contatti
            WHERE idGestore=" . $idGestore . " ORDER BY riferimento ASC";

        $db->setQuery($query);
        $db->query();
        $contatti = $db->loadObjectList();

        //trovo clienti
        $query = "SELECT idCliente,ragioneSociale
              FROM #__osma_anagrafica_clienti
              WHERE published=1 and deleted=0 ORDER BY ragioneSociale ASC";
        $db->setQuery($query);
        $db->query();
        $clienti = $db->loadObjectList();

        //trovo compagnie
        $query = "SELECT idCompagnia,compagnia
              FROM #__osma_anagrafica_compagnie
              WHERE published=1 and deleted=0 ORDER BY compagnia ASC";
        $db->setQuery($query);
        $db->query();
        $compagnie = $db->loadObjectList();

        //trovo prodotti erogati
        $query = "SELECT idProdottoErogato,prodottoErogato
              FROM #__osma_anagrafica_prodotti_erogati
              WHERE published=1 and deleted=0 ORDER BY prodottoErogato ASC";
        $db->setQuery($query);
        $db->query();
        $prodotti = $db->loadObjectList();

        //trovo cisterne
        $query = "SELECT *
              FROM #__osma_anagrafica_cisterne AS c
              LEFT JOIN #__osma_anagrafica_prodotti_erogati AS pe ON c.idProdotto=pe.idProdottoErogato
              WHERE c.idGestore=" . $idGestore . " AND c.published=1 and c.deleted=0 ORDER BY c.nrCisterna ASC";
        $db->setQuery($query);
        $db->query();
        $cisterne = $db->loadObjectList();

        include('components/com_osma/templates/printgestore.php');
    }

    function viewContatti() {
        $id = JRequest::getVar("id");
        $type = JRequest::getVar("type");

        $contatti = osmaHelper::viewContattiList($id, $type);

        include('components/com_osma/templates/viewcontatti.php');
    }

    function viewMatricole() {
        $db = JFactory::getDBO();
        $id = JRequest::getVar("id");

        $query = "SELECT mat.nrMatricola,mar.marca,tip.tipologia,m.modello
             FROM #__osma_anagrafica_matricole AS mat
             LEFT JOIN #__osma_anagrafica_marche AS mar ON mat.idMarca=mar.idMarca
             LEFT JOIN #__osma_anagrafica_tipologie AS tip ON mat.idTipologia=tip.idTipologia
             LEFT JOIN #__osma_anagrafica_modelli AS m ON mat.idModello=m.idModello
             LEFT JOIN #__osma_xref_gestore_matricole AS xgm ON xgm.idMatricola=mat.idMatricola
             WHERE mat.deleted=0 AND xgm.idGestore=" . $id . " ORDER BY mar.marca,mat.nrMatricola ASC";
        $db->setQuery($query);
        $db->query();
        $matricole = $db->loadObjectList();

        $query = "SELECT ac.*,pe.prodottoErogato as prodotto
            FROM #__osma_anagrafica_cisterne as ac
            LEFT JOIN #__osma_anagrafica_prodotti_erogati as pe ON ac.idProdotto=pe.idProdottoErogato
            WHERE ac.deleted=0 AND idGestore=" . $id . " ORDER BY ac.idCisterna ASC";
        $db->setQuery($query);
        $db->query();
        $cisterne = $db->loadObjectList();

        include('components/com_osma/templates/viewmatricole.php');
    }

    function pubblica() {
        $ids = JRequest::getVar("ids");
        $type = JRequest::getVar("type");

        $return = osmaHelper::pubblica($ids, $type);

        return $return;
    }

    function sospendi() {
        $ids = JRequest::getVar("ids");
        $type = JRequest::getVar("type");

        $return = osmaHelper::sospendi($ids, $type);

        return $return;
    }

    function rimuovi() {
        $ids = JRequest::getVar("ids");
        $type = JRequest::getVar("type");

        $return = osmaHelper::rimuovi($ids, $type);

        return $return;
    }

    function salva() {
        $type = JRequest::getVar("type");
        $return = osmaHelper::salva($type);

        echo $return;
    }

    function getProdotti() {
        $db = JFactory::getDBO();
        $query = "SELECT idProdottoErogato,prodottoErogato
              FROM #__osma_anagrafica_prodotti_erogati
              WHERE published=1 and deleted=0 ORDER BY prodottoErogato ASC";
        $db->setQuery($query);
        $db->query();
        $prodotti = $db->loadObjectList();

        return $prodotti;
    }

    function getGestore() {
        $idGestore = JRequest::getVar("idGestore");
        if (!$idGestore) {

            echo new JResponseJson(null, "Errore", true);
            JApplication::close();
        }

        $gestore = osmaHelper::getGestore($idGestore);
        $cliente = osmaHelper::getCliente($gestore->idCliente);

        echo new JResponseJson(array(
    "gestore" => $gestore,
    "cliente" => $cliente));
        JApplication::close();
    }

}
