<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class OsmaModelChiusura extends JModelList {

    public function getinfo() {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("i.*, c.*, u.name as userName")
                ->from("#__osma_chiamata_interventi as i")
                ->innerJoin("#__osma_chiamate as c ON c.idChiamata = i.idChiamata")
                ->innerJoin("#__users as u ON u.id = i.idInviaMailA")
                ->where("idIntervento = " . $dbo->q(JRequest::getVar("idIntervento")));

        $dbo->setQuery($query);

        return $dbo->loadObject();
    }

    public function getduvri() {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("*")
                ->from("#__osma_duvri")
                ->where("idIntervento = " . $dbo->q(JRequest::getVar("idIntervento")));

        $dbo->setQuery($query);

        return $dbo->loadObject();
    }

    public function getgestore($idgestore) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("g.*, c.compagnia as NCompagnia, cli.ragioneSociale as cliente")
                ->from("#__osma_anagrafica_gestori g")
                ->innerJoin("#__osma_anagrafica_compagnie c ON c.idCompagnia = g.idCompagnia")
                ->innerJoin("#__osma_anagrafica_clienti cli ON cli.idCliente = g.idCliente")
                ->where("idGestore = " . $dbo->q($idgestore));

        $dbo->setQuery($query);

        return $dbo->loadObject();
    }

    public function getteam($idintervento, $idchiamata) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("u.id, u.name")
                ->from("#__osma_xref_intervento_utenti t")
                ->innerJoin("#__users u ON t.idUser = u.id")
                ->where("idIntervento = " . $dbo->q($idintervento) . " AND idChiamata = " . $dbo->q($idchiamata));

        $dbo->setQuery($query);

        return $dbo->loadObjectList();
    }

    public function getmatricole($idGestore, $idTipologia = 5) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("*, mt.nrMatricola, mr.siglaRapportino as siglaRapportinoMC, pd.siglaRapportino as siglaRapportinoPD, mt2.nrMatricola as matricolaRV, mt.normativa")
                ->from("#__osma_anagrafica_pistole pt")
                ->innerJoin("#__osma_anagrafica_prodotti_erogati pd ON pd.idProdottoErogato = pt.idProdottoErogato")
                ->innerJoin("#__osma_anagrafica_matricole mt ON mt.idMatricola = pt.idMatricola")
                ->innerJoin("#__osma_anagrafica_marche mr ON mr.idMarca = mt.idMarca")
                ->innerJoin("#__osma_anagrafica_tipologie tp ON tp.idTipologia = mt.idTipologia")
                ->innerJoin("#__osma_anagrafica_modelli md ON md.idModello = mt.idModello")
                ->innerJoin("#__osma_xref_gestore_matricole xref1 ON xref1.idMatricola = mt.idMatricola")
                ->leftJoin("#__osma_anagrafica_matricole mt2 ON mt2.idMatricola = pt.idMatricolaRV")
                ->where("mt.deleted = 0")
                ->where("xref1.idGestore = " . $dbo->q($idGestore))
                ->where("tp.idTipologia = " . $dbo->q($idTipologia))
                ->order("pt.matricolaPistola");

        $dbo->setQuery($query);

        return $dbo->loadObjectList();
    }

    public function getmatricolepagamento($idGestore, $idTipologia = 5) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("*")
                ->from("#__osma_anagrafica_matricole mt")
                ->innerJoin("#__osma_anagrafica_marche mr ON mr.idMarca = mt.idMarca")
                ->innerJoin("#__osma_anagrafica_tipologie tp ON tp.idTipologia = mt.idTipologia")
                ->innerJoin("#__osma_anagrafica_modelli md ON md.idModello = mt.idModello")
                ->innerJoin("#__osma_xref_gestore_matricole xref1 ON xref1.idMatricola = mt.idMatricola")
                ->where("xref1.idGestore = " . $dbo->q($idGestore))
                ->where("tp.idTipologia = " . $dbo->q($idTipologia))
                ->where("mt.deleted = 0")
                ->order("mt.nrMatricola");

        $dbo->setQuery($query);

        return $dbo->loadObjectList();
    }

    public function getrapporto($idDuvri) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("*")
                ->from("#__osma_duvri_rapporto")
                ->where("idDuvri = " . $dbo->q($idDuvri));

        $dbo->setQuery($query, 0, 1);
        $rapporto = $dbo->loadObject();

        if ($rapporto) {
            $query = $dbo->getQuery(true);
            $query->select("d.*, LTRIM(RTRIM(LOWER(normativa))) as normativa")
                    ->from("#__osma_duvri_rapporto_distributori d")
                    ->leftJoin("#__osma_anagrafica_pistole p ON p.idPistola = d.idMatricola")
                    ->leftJoin("#__osma_anagrafica_matricole m ON m.idMatricola = p.idMatricola")
                    ->where("m.deleted = 0")
                    ->where("idRapporto = " . $dbo->q($rapporto->idRapporto));
            $dbo->setQuery($query);

            $rapporto->distributori = $dbo->loadObjectList();
            $query->clear();

            $query->select("*")
                    ->from("#__osma_duvri_rapporto_pagamenti")
                    ->where("idRapporto = " . $dbo->q($rapporto->idRapporto));
            $dbo->setQuery($query);
            $rapporto->pagamenti = $dbo->loadObjectList();
            $query->clear();

            $query->select("*")
                    ->from("#__osma_duvri_rapporto_materiale")
                    ->where("idRapporto = " . $dbo->q($rapporto->idRapporto));
            $dbo->setQuery($query);
            $rapporto->materiale = $dbo->loadObjectList();
        }

        return $rapporto;
    }

    public function getProdottoErogato($idPistola) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("siglaRapportino")
                ->from("#__osma_anagrafica_pistole as pi")
                ->innerJoin("#__osma_anagrafica_prodotti_erogati as pe ON pe.idProdottoErogato = pi.idProdottoErogato")
                ->where("idPistola = " . $dbo->q($idPistola));
        $dbo->setQuery($query);

        return $dbo->loadResult();
    }

    public function getMarca($idPistola) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("siglaRapportino")
                ->from("#__osma_anagrafica_pistole as pi")
                ->innerJoin("#__osma_anagrafica_matricole as ma ON ma.idMatricola = pi.idMatricola")
                ->innerJoin("#__osma_anagrafica_marche as mk ON mk.idMarca = ma.idMarca")
                ->where("ma.deleted = 0")
                ->where("idPistola = " . $dbo->q($idPistola));
        $dbo->setQuery($query);

        return $dbo->loadResult();
    }

    public function getMatricola($idPistola) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("nrMatricola")
                ->from("#__osma_anagrafica_pistole as pi")
                ->innerJoin("#__osma_anagrafica_matricole as ma ON ma.idMatricola = pi.idMatricola")
                ->where("ma.deleted = 0")
                ->where("idPistola = " . $dbo->q($idPistola));
        $dbo->setQuery($query);

        return $dbo->loadResult();
    }

    public function getMatricolaRV($idPistola) {
        $dbo = JFactory::getDBO();

        $query = $dbo->getQuery(true);
        $query->select("nrMatricola")
                ->from("#__osma_anagrafica_pistole as pi")
                ->innerJoin("#__osma_anagrafica_matricole as ma ON ma.idMatricola = pi.idMatricolaRV")
                ->where("ma.deleted = 0")
                ->where("idPistola = " . $dbo->q($idPistola));
        $dbo->setQuery($query);

        return $dbo->loadResult();
    }

}
