<?php
if ($this->team) {
    foreach ($this->team as $name) {
        $team[] = $name->name;
    }
}

if ($this->rapporto->oraI) {
    $hi = date("H", strtotime($this->rapporto->oraI));
    $mi = date("i", strtotime($this->rapporto->oraI));
} else {
    $hi = date("H");
    $mi = floor(date("i") / 15) * 15;
}

if ($this->rapporto->oraF) {
    $hf = date("H", strtotime($this->rapporto->oraF));
    $mf = date("i", strtotime($this->rapporto->oraF));
} else {
    $hf = date("H", strtotime("+ 30 minutes"));
    $mf = floor(date("i", strtotime("+ 30 minutes")) / 15) * 15;
}

$timing = mktime($hf, $mf) - mktime($hi, $mi);

$timingM = ($timing / 60);
if ($timingM > 60) {
    $j = floor($timingM / 60);
    $timingM -= (60 * $j);
}
if ($timingM > 0) {
    $timingM .= " minuti";
} else {
    $timingM = "";
}

if (floor($timing / 60 / 60) > 1) {
    $timingH = floor($timing / 60 / 60) . " ore, ";
}

$timing = $timingH . $timingM;
?>

<form class='registro' name='rapporto'>
    <div class='row bd'>
        <div class='col-sm-5 col-xs-12 pd-top-bottom bd-right'>
            <p><b>Localita:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->comune ?> (<?php echo $this->gestore->provincia ?>), <?php echo $this->gestore->indirizzo ?></p>
            <p><b>Cliente:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->ragioneSociale ?></p>
            <p><b>Codice P.V.:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->nrRea ?></p>
            <p><b>N°:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->nrPuntoVendita ?></p>
            <p><b>Gestore:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->NCompagnia ?></p>

        </div>
        <div class='col-sm-7 col-xs-12'>
            <div class='row'>
                <div class='col-sm-6 center'>
                    <div class='row'>
                        <p class='leader'>Data chiamata</p>
                        <span class='pre-compiled'><?php echo date("d/m/Y", strtotime($this->info->dataApertura)) ?></span>
                        <p class='leader bd-top'>Data intervento</p>
                        <div class='input-group dataInterventoGroup' id="dataInterventoGroup">
                            <input type='text' class=" required" id='dataIntervento' name="dataIntervento" value="<?php echo ($this->rapporto && strtotime($this->rapporto->dataIntervento) > 0 ? date("d/m/Y", strtotime($this->rapporto->dataIntervento)) : date("d/m/Y")) ?>"/>
                            <span class="input-group-addon">
                                <span class="glyphicon glyphicon-calendar"></span>
                            </span>
                        </div>
                    </div>
                </div>
                <div class='col-sm-6 center bd-left'>
                    <div class='row'>
                        <p class='leader'>Rif. Nr. Chiamata</p>
                        <span class='pre-compiled'><?php echo $this->info->nrChiamata . ($this->info->nrChiamataCompagnia ? " - " . $this->info->nrChiamataCompagnia : "") ?></span>
                        <div class='center bd-top'>
                            <div class='col-sm-6'>
                                <div class='row'>
                                    <p class=''>Ora inizio</p>
                                    <div class='col-sm-6'>
                                        <select name='orai'>
                                            <?php for ($i = 1; $i < 24; $i++) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $hi ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class='col-sm-6'>
                                        <select name='minutoi'>
                                            <?php for ($i = 0; $i < 60; $i += 15) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $mi ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class='col-sm-6 pd-bottom'>
                                <div class='row'>
                                    <p class=''>Ora fine</p>
                                    <div class='col-sm-6'>
                                        <select name='oraf'>
                                            <?php for ($i = 1; $i < 24; $i++) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $hf ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class='col-sm-6'>
                                        <select name='minutof'>
                                            <?php for ($i = 0; $i < 60; $i += 15) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $mf ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-12 center pd-top bd-top'>
                    <p class='leader'>
                        Tipo intervento:
                        <select name='tipoIntervento' disabled='disabled' readonly='readonly' >
                            <option value='1' <?php echo (!$this->rapporto && $this->info->tipo == 1 ? "selected='selected'" : ($this->rapporto->tipoIntervento == 1 ? 'selected="selected"' : "")) ?>>Forfait</option>
                            <option value='2' <?php echo (!$this->rapporto && $this->info->tipo == 2 ? "selected='selected'" : ($this->rapporto->tipoIntervento == 2 ? 'selected="selected"' : "")) ?>>Ex. Forfait</option>
                            <option value='3' <?php echo (!$this->rapporto && $this->info->tipo == 3 ? "selected='selected'" : ($this->rapporto->tipoIntervento == 3 ? 'selected="selected"' : "")) ?>>Programmato</option>
                        </select>
                    </p>
                </div>
                <div class='col-sm-12 bd-top pd-top center'>
                    <p class='leader'>Operatori</p>
                    <span class='pre-compiled '><?php echo implode(", ", $team) ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class='row mg-top'>
        <div class="panel panel-default">
            <div class="panel-heading ">
                <div class="row">
                    <h3 class="panel-title col-sm-6">Descrizione intervento</h3>
                </div>
            </div>
            <div class="panel-body">
                <textarea name='descrizione' style='height: 150px'><?php echo ($this->rapporto->descrizione) ?></textarea>
            </div>
        </div> 
    </div>

    <div class='row mg-top'>
        <div class="panel panel-default">
            <div class="panel-heading ">
                <div class="row">
                    <h3 class="panel-title col-sm-6">Interventi su distributore</h3>
                    <div class="text-right col-sm-6">
                        <span class="fa fa-2x fa-plus pointer" data-toggle="collapse" data-target="#collapse-distributori"></span>
                    </div>
                </div>
            </div>
            <div class="panel-body collapse" id="collapse-distributori">
                <div class='pt-field-container this-field-container mg-bottom clearfix'>
                    <?php if ($this->rapporto->distributori) { ?>
                        <?php $count = 0; ?>
                        <?php foreach ($this->rapporto->distributori as $dis) { ?>
                            <div class="col-sm-12 pd-top-bottom bd pt-field this-field" style="margin-top: 0!important;">
                                <div class="row flex">
                                    <div class="col-sm-3">
                                        <div>
                                            <label>Matricola distributore:</label>
                                            <select name='pt[id][matricola]' class='matricole-pistole chosen-select'>
                                                <option value='' selected disabled>- SELEZIONA -</option>
                                                <?php foreach ($this->matricole as $mat) { ?>
                                                    <?php
                                                    if ($mat->idPistola == $dis->idMatricola) {
                                                        $dis->ppProd = $mat->prodottoErogato;
                                                        $dis->ppMarca = $mat->marca;
                                                        $dis->ppModello = $mat->modello;
                                                        $dis->ppMatr = $mat->nrMatricola;
                                                        $dis->ppTipologia = $mat->tipologia;
                                                    }
                                                    ?>
                                                    <option value='<?php echo $mat->idPistola ?>' data-prod='<?php echo ($mat->prodottoErogato) ?>' data-matricola='<?php echo ($mat->nrMatricola) ?>' data-modello='<?php echo ($mat->modello) ?>' data-marca='<?php echo ($mat->marca) ?>' data-tipologia='<?php echo ($mat->tipologia) ?>' <?php echo ($mat->idPistola == $dis->idMatricola ? "selected='selected'" : "") ?>><?php echo $mat->matricolaPistola ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="bd-top mg-top pd-top">
                                            <label>Tipologia:</label>
                                            <p class='tipologia pre-compiled'><?php echo $dis->ppTipologia ?></p>
                                            <label>Prod:</label>
                                            <p class='prod pre-compiled'><?php echo $dis->ppProd ?></p>
                                            <label>Marca:</label>
                                            <p class='marca pre-compiled'><?php echo $dis->ppMarca ?></p>
                                            <label>Modello:</label>
                                            <p class='modello pre-compiled'><?php echo $dis->ppModello ?></p>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 bd-left">
                                        <div>
                                            <h5>1 Totalizzatori</h5>
                                            <input type='text' name='pt[id][lprima]'  value='<?php echo $dis->letturePrima ?>' placeholder='Prima' class='mg-top pt-lprima'>
                                            <input type='text' name='pt[id][ldopo]'  value='<?php echo $dis->lettureDopo ?>' placeholder='Dopo' class='mg-top-bottom pt-ldopo'>
                                            <label>Scatti:</label>
                                            <p class='pt-lscatti pre-compiled'><?php echo ($dis->lettureDopo - $dis->letturePrima) ?></p>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 bd-right-left">
                                        <div>
                                            <h5>U.T.F.</h5>
                                            <label class='inline'>Si</label> <input type='radio' name='pt[id][piombi]' value='1' <?php echo ($dis->piombi ? "checked='checked'" : "") ?>>
                                            <label class='inline'>No</label> <input type='radio' name='pt[id][piombi]' value='0' <?php echo (!$dis->piombi ? "checked='checked'" : "") ?>>
                                        </div>
                                        <div class="mg-top pd-top bd-top">
                                            <h5>U.M.</h5>
                                            <label class='inline'>Si</label> <input type='radio' name='pt[id][taratura]' value='1' <?php echo ($dis->taratura ? "checked='checked'" : "") ?>>
                                            <label class='inline'>No</label> <input type='radio' name='pt[id][taratura]' value='0' <?php echo (!$dis->taratura ? "checked='checked'" : "") ?>>
                                        </div>
                                    </div>
                                    <div class="col-sm-3">
                                        <label>Descrizione:</label>
                                        <textarea name='pt[id][descrizione]'><?php echo $dis->descrizione ?></textarea>
                                    </div>
                                </div>
                                <div class='clearfix text-right pd-top mg-top bd-top'>
                                    <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                                </div>
                            </div>
                            <?php
                            $count++;
                        }
                        ?>
                    <?php } elseif (!$this->rapporto) { ?>
                        <div class="col-sm-12 pd-top-bottom bd pt-field this-field">
                            <div class="row flex">
                                <div class="col-sm-3">
                                    <div>
                                        <label>Matricola distributore:</label>
                                        <select name='pt[id][matricola]' class='matricole-pistole chosen-select'>
                                            <option value='' selected disabled>- SELEZIONA -</option>
                                            <?php foreach ($this->matricole as $mat) { ?>
                                                <option value='<?php echo $mat->idPistola ?>' data-prod='<?php echo ($mat->prodottoErogato) ?>' data-matricola='<?php echo ($mat->nrMatricola) ?>' data-modello='<?php echo ($mat->modello) ?>' data-marca='<?php echo ($mat->marca) ?>'  data-tipologia='<?php echo ($mat->tipologia) ?>' <?php echo ($mat->idPistola == $dis->idMatricola ? "selected='selected'" : "") ?>><?php echo $mat->matricolaPistola ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="bd-top mg-top pd-top">
                                        <label>Tipologia:</label>
                                        <p class='tipologia pre-compiled'>&nbsp;</p>
                                        <label>Prod:</label>
                                        <p class='prod pre-compiled'>&nbsp;</p>
                                        <label>Marca:</label>
                                        <p class='marca pre-compiled'>&nbsp;</p>
                                        <label>Modello:</label>
                                        <p class='modello pre-compiled'>&nbsp;</p>
                                    </div>
                                </div>
                                <div class="col-sm-3 bd-left">
                                    <div>
                                        <h5>1 Totalizzatori</h5>
                                        <input type='text' name='pt[id][lprima]' placeholder='1° Posizione' class='mg-top pt-lprima'>
                                        <input type='text' name='pt[id][ldopo]' placeholder='2° Posizione' class='mg-top-bottom pt-ldopo'>
                                        <label>Scatti:</label>
                                        <p class='pt-lscatti pre-compiled'>&nbsp;</p>
                                    </div>
                                </div>
                                <div class="col-sm-3 bd-left bd-right ">
                                    <div>
                                        <h5>U.T.F.</h5>
                                        <label class='inline'>Si</label> <input type='radio' name='pt[id][piombi]' value='1'>
                                        <label class='inline'>No</label> <input type='radio' name='pt[id][piombi]' value='0'>
                                    </div>
                                    <div class="mg-top  pd-top bd-top">
                                        <h5>U.M.</h5>
                                        <label class='inline'>Si</label> <input type='radio' name='pt[id][taratura]' value='1'>
                                        <label class='inline'>No</label> <input type='radio' name='pt[id][taratura]' value='0'>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <label>Descrizione:</label>
                                    <textarea name='pt[0][descrizione]'></textarea>
                                </div>
                            </div>
                            <div class='clearfix text-right pd-top mg-top bd-top'>
                                <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <div class="row mg-top">
                    <div class="col-sm-3">
                        <h5 class="pd-bottom">Esito collaudo</h5>
                        <p><input type='radio' name='esitoCollaudo' value='1' id="esitocollaudo1" <?php echo($this->rapporto && $this->rapporto->esitoCollaudo == 1 ? 'checked="checked"' : "") ?>> <label class='inline' for="esitocollaudo1">Positivo</label></p>
                        <p><input type='radio' name='esitoCollaudo' value='0' id="esitocollaudo0" <?php echo($this->rapporto && $this->rapporto->esitoCollaudo == 0 ? 'checked="checked"' : "") ?>> <label class='inline' for="esitocollaudo0">Negativo</label> </p>
                    </div>
                    <div class="col-sm-3">
                        <label>Osservazioni</label>
                        <textarea name='osservazioni'><?php echo ($this->rapporto->osservazioni) ?></textarea>
                    </div>
                    <div class="col-sm-3">
                        <span class="btn btn-success btn-sm add-row-distributori pull-right"><i class="fa fa-plus"></i> Aggiungi riga</span>                 
                    </div>
                </div>
            </div>
        </div> 
    </div>

    <div class='row'>
        <div class="panel panel-default">
            <div class="panel-heading ">
                <div class="row">
                    <h3 class="panel-title col-sm-6">Materiale Sostituito</h3>
                    <div class="text-right col-sm-6">
                        <span class="fa fa-2x fa-plus pointer" data-toggle="collapse" data-target="#collapse-self"></span>
                    </div>
                </div>
            </div>
            <div class="panel-body collapse" id="collapse-self">
                <div class='ms-field-container this-field-container mg-bottom clearfix'>
                    <?php if ($this->rapporto && $this->rapporto->materiale) { ?>
                        <?php
                        foreach ($this->rapporto->materiale as $dis) {
                            ?>
                            <div class="col-sm-12 pd-top-bottom bd ms-field this-field" style="margin-top: 0;">
                                <div class="row">
                                    <div class="col-sm-2 bd-right">
                                        <div>
                                            <label>Quant.</label>
                                            <input type='text' name='ms[id][quantita1]' value='<?php echo $dis->quantita1 ?>'>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 bd-right">
                                        <div>
                                            <label>Di nostra fornitura</label>
                                            <input type='text' name='ms[id][fornitura1]' value='<?php echo $dis->fornitura1 ?>'>
                                        </div>
                                    </div>
                                    <div class="col-sm-2 bd-right">
                                        <div>
                                            <label>Quant.</label>
                                            <input type='text' name='ms[id][quantita2]' value='<?php echo $dis->quantita2 ?>'>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 bd-right">
                                        <div>
                                            <label>Di nostra fornitura</label>
                                            <input type='text' name='ms[id][fornitura2]' value='<?php echo $dis->fornitura2 ?>'>
                                        </div>
                                    </div>
                                    <div class="col-sm-2">
                                        <div>
                                            <label>A.C.</label>
                                            <input type='text' name='ms[id][ac]' value='<?php echo $dis->ac ?>'>
                                        </div>
                                    </div>
                                    <div class='col-sm-12 text-right pd-top mg-top bd-top'>
                                        <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    <?php } elseif (!$this->rapporto || !$this->rapporto->materiale) { ?>
                        <div class="col-sm-12 pd-top-bottom bd ms-field this-field">
                            <div class="row">
                                <div class="col-sm-2 bd-right">
                                    <div>
                                        <label>Quant.</label>
                                        <input type='text' name='ms[id][quantita1]'>
                                    </div>
                                </div>
                                <div class="col-sm-3 bd-right">
                                    <div>
                                        <label>Di nostra fornitura</label>
                                        <input type='text' name='ms[id][fornitura1]'>
                                    </div>
                                </div>
                                <div class="col-sm-2 bd-right">
                                    <div>
                                        <label>Quant.</label>
                                        <input type='text' name='ms[id][quantita2]'>
                                    </div>
                                </div>
                                <div class="col-sm-3 bd-right">
                                    <div>
                                        <label>Di nostra fornitura</label>
                                        <input type='text' name='ms[id][fornitura2]'>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <div>
                                        <label>A.C.</label>
                                        <input type='text' name='ms[id][ac]'>
                                    </div>
                                </div>
                                <div class='col-sm-12 text-right pd-top mg-top bd-top'>
                                    <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>

                <div class="row mg-top">
                    <div class="col-sm-12">
                        <span class="btn btn-success btn-sm add-row-ss pull-right">
                            <i class="fa fa-plus"></i> Aggiungi riga
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class='row bd'>
        <div class="col-sm-12 pd bd-bottom">
            <div class='row'>
                <div class='col-sm-4 bd-right'>
                    <label>Partenza da:</label>
                    <input type='text' name='partenzaDa' value='<?php echo ($this->rapporto->partenzaDa ? $this->rapporto->partenzaDa : "Nonio, VB") ?>'>
                    <label class="mg-top">Ore:</label>
                    <select name='partenzaOre[h]' style="display: inline; width: auto">
                        <?php for ($i = 1; $i < 24; $i++) { ?>
                            <option value='<?php echo $i ?>' <?php echo ($i == $pdh ? "selected='selected'" : (date("H") == $i ? "selected='selected'" : "")) ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                        <?php } ?>
                    </select> :
                    <select name='partenzaOre[m]' style="display: inline; width: auto">
                        <?php for ($i = 0; $i < 60; $i += 15) { ?>
                            <option value='<?php echo $i ?>' <?php echo ($i == $pdm ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                        <?php } ?>
                    </select>
                    <label class="mg-top">Arrivo:</label>
                    <input type='text' name='arrivo' value='<?php echo ($this->rapporto->arrivo ? $this->rapporto->arrivo : $this->gestore->comune . " (" . $this->gestore->provincia . "), " . $this->gestore->indirizzo) ?>'>
                    <label class="mg-top">Ore:</label>
                    <select name='arrivoOre[h]' style="display: inline; width: auto">
                        <?php for ($i = 1; $i < 24; $i++) { ?>
                            <option value='<?php echo $i ?>' <?php echo ($i == $pdh ? "selected='selected'" : (date("H") == $i ? "selected='selected'" : "")) ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                        <?php } ?>
                    </select> :
                    <select name='arrivoOre[m]' style="display: inline; width: auto">
                        <?php for ($i = 0; $i < 60; $i += 15) { ?>
                            <option value='<?php echo $i ?>' <?php echo ($i == $pdm ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                        <?php } ?>
                    </select>
                </div>
                <div class='col-sm-4 bd-right'>
                    <label>Ore lavoro:</label>
                    <input type='text' name='oreLavoro' readonly="readonly" value='<?php echo ($this->rapporto->oreLavoro ? $this->rapporto->oreLavoro : $timing) ?>'>
                    <label class="mg-top">Ore di percorrenza andata:</label>
                    <input type='text' name='percorrenzaAndata' value='<?php echo $this->rapporto->percorrenzaAndata ?>'>
                    <label class="mg-top">Ore di percorrenza ritorno:</label>
                    <input type='text' name='percorrenzaRitorno' value='<?php echo $this->rapporto->percorrenzaRitorno ?>'>
                </div>
                <div class='col-sm-4'>
                    <label>KM percorsi andata:</label>
                    <select name="kmAndata">
                        <option value="Da 10 a 50 KM" <?php echo ($this->rapporto->kmAndata == 'Da 10 a 50 KM' ? "selected='selected'" : "") ?>>Da 10 a 50 KM</option>
                        <option value="Da 50 a 100 KM" <?php echo ($this->rapporto->kmAndata == 'Da 50 a 100 KM' ? "selected='selected'" : "") ?>>Da 50 a 100 KM</option>
                        <option value="Da 100 a 250 KM" <?php echo ($this->rapporto->kmAndata == 'Da 100 a 250 KM' ? "selected='selected'" : "") ?>>Da 100 a 250 KM</option>
                        <option value="Da 250 a 500 KM" <?php echo ($this->rapporto->kmAndata == 'Da 250 a 500 KM' ? "selected='selected'" : "") ?>>Da 250 a 500 KM</option>
                    </select>
                    <label class="mg-top">KM percorsi ritorno:</label>
                    <select name="kmRitorno">
                        <option value="Da 10 a 50 KM" <?php echo ($this->rapporto->kmAndata == 'Da 10 a 50 KM' ? "selected='selected'" : "") ?>>Da 10 a 50 KM</option>
                        <option value="Da 50 a 100 KM" <?php echo ($this->rapporto->kmAndata == 'Da 50 a 100 KM' ? "selected='selected'" : "") ?>>Da 50 a 100 KM</option>
                        <option value="Da 100 a 250 KM" <?php echo ($this->rapporto->kmAndata == 'Da 100 a 250 KM' ? "selected='selected'" : "") ?>>Da 100 a 250 KM</option>
                        <option value="Da 250 a 500 KM" <?php echo ($this->rapporto->kmAndata == 'Da 250 a 500 KM' ? "selected='selected'" : "") ?>>Da 250 a 500 KM</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="col-sm-6 pd bd-right">
            <p class=''>
                I componenti sostituiti sono conformi a quelli di tipo approvato
                <span class='block'>
                    <label for='lavoriDESC1' class='inline'>SI</label> <input type='radio' name='dichiarazione1' id='lavoriDESC1' value='1' <?php echo ($this->rapporto && $this->rapporto->dichiarazione1 == 1 ? "checked='checked'" : ($this->rapporto ? "" : "checked='checked'")) ?>>
                    <label for='lavoriDESC2' class='inline'>NO</label> <input type='radio' name='dichiarazione1' id='lavoriDESC2' value='0' <?php echo ($this->rapporto && $this->rapporto->dichiarazione1 === '0' ? "checked='checked'" : "") ?>>
                </span>
                <br>
                Il gestore, in qualità di utente, è tenuto a presentare la richiesta di collaudo o rilegalizzazione alla C.C.I.A.A. (Uff. Metrico).
                <span class='block'>
                    <label for='dichiarazioneCCIAA1' class='inline'>SI</label> <input type='radio' name='dichiarazione2' id='dichiarazioneCCIAA1' value='1' <?php echo ($this->rapporto && $this->rapporto->dichiarazione2 == 1 ? "checked='checked'" : "") ?>>
                    <label for='dichiarazioneCCIAA2' class='inline'>NO</label> <input type='radio' name='dichiarazione2' id='dichiarazioneCCIAA2' value='0' <?php echo ($this->rapporto && $this->rapporto->dichiarazione2 === '0' ? "checked='checked'" : "") ?>>
                </span>
                <br>
                In caso di danno da ignoti il gestore è tenuto ad esporre denuncia alle autorità competenti e deve consegnare copia entro 5 giorni. (RITIRATA DENUNCIA)
                <span class='block'>
                    <label for='dichiarazioneDenuncia1' class='inline'>SI</label> <input type='radio' name='dichiarazione3' id='dichiarazioneDenuncia1' value='1' <?php echo ($this->rapporto && $this->rapporto->dichiarazione3 == 1 ? "checked='checked'" : "") ?>>
                    <label for='dichiarazioneDenuncia2' class='inline'>NO</label> <input type='radio' name='dichiarazione3' id='dichiarazioneDenuncia2' value='0' <?php echo ($this->rapporto && $this->rapporto->dichiarazione3 === '0' ? "checked='checked'" : "") ?>>
                </span>
            </p>
        </div>
        <div class="col-sm-6 pd">
            <label>Presenza registri</label>
            <p class=''>
                Registro Antincendio
                <span class='block'>
                    <label for='registro11' class='inline'>SI</label> <input type='radio' name='registro1' id='registro11' value='1' <?php echo ($this->rapporto && $this->rapporto->registro1 == 1 ? "checked='checked'" : "") ?>>
                    <label for='registro12' class='inline'>NO</label> <input type='radio' name='registro1' id='registro12' value='0' <?php echo ($this->rapporto && $this->rapporto->registro1 === '0' ? "checked='checked'" : "") ?>>
                </span>
                <br>
                Registro manutenzione
                <span class='block'>
                    <label for='registro21' class='inline'>SI</label> <input type='radio' name='registro2' id='registro21' value='1' <?php echo ($this->rapporto && $this->rapporto->registro2 == 1 ? "checked='checked'" : "") ?>>
                    <label for='registro22' class='inline'>NO</label> <input type='radio' name='registro2' id='registro22' value='0' <?php echo ($this->rapporto && $this->rapporto->registro2 === '0' ? "checked='checked'" : "") ?>>
                </span>
                <br>
                Registro serbatoi
                <span class='block'>
                    <label for='registro31' class='inline'>SI</label> <input type='radio' name='registro3' id='registro31' value='1' <?php echo ($this->rapporto && $this->rapporto->registro3 == 1 ? "checked='checked'" : "") ?>>
                    <label for='registro32' class='inline'>NO</label> <input type='radio' name='registro3' id='registro32' value='0' <?php echo ($this->rapporto && $this->rapporto->registro3 === '0' ? "checked='checked'" : "") ?>>
                </span>
                <br>
                Registro scarichi
                <span class='block'>
                    <label for='registro41' class='inline'>SI</label> <input type='radio' name='registro4' id='registro41' value='1' <?php echo ($this->rapporto && $this->rapporto->registro4 == 1 ? "checked='checked'" : "") ?>>
                    <label for='registro42' class='inline'>NO</label> <input type='radio' name='registro4' id='registro42' value='0' <?php echo ($this->rapporto && $this->rapporto->registro4 === '0' ? "checked='checked'" : "") ?>>
                </span>
            </p>
        </div>
        <div class="col-sm-12 pd bd-top">
            <div class='row'>
                <div class='col-sm-12'>
                    Si dichiara che il lavoro è stato eseguito secondo richiesta, che le letture dei totalizzatori sono esatte e che gli erogatori 
                    sono regolarmente bollati e che tutte le attrezzature dei P.V. oggetto della manutenzione sono efficenti e confermi agli schemi della Società costruttice delle apparecchiature.
                </div>
                <div class='col-sm-6 mg-top bd-right'>
                    <a class='openSignature' data-signatureName="firma1" href='javascript:void(0);'>FIRMA MONTATORE</a>
                    <img id="firma1" class='img-responsive' <?php echo ($this->rapporto->firma1 ? "src='{$this->rapporto->firma1}'" : "") ?>>
                    <input type='hidden' name='firma1' value='' class=''>
                </div>
                <div class='col-sm-6 mg-top'>
                    <a class='openSignature' data-signatureName="firma2" href='javascript:void(0);'>FIRMA GESTORE</a>
                    <img id="firma2" class='img-responsive' <?php echo ($this->rapporto->firma2 ? "src='{$this->rapporto->firma2}'" : "") ?>>
                    <input type='hidden' name='firma2' value='' class=''>
                </div>        
            </div>
        </div>
    </div>

    <div class='row mg-top text-right'>
        <div class='btn-group'>
            <?php if ($this->rapporto->idRapporto) { ?>
                <a class='btn btn-success scarica-pdf' href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFrapporto&format=raw&idRapporto={$this->rapporto->idRapporto}&idChiamata={$this->info->idChiamata}") ?>" target="_blank">
                    <i class="icon-download"></i> Scarica PDF
                </a>
            <?php } ?>
            <?php if ($this->rapporto->idRapporto && $this->rapporto->hasDichiarazione) { ?>
                <a class='btn btn-info' href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.dichiarazioneRiparazione&format=raw&idRapporto={$this->rapporto->idRapporto}&idChiamata={$this->info->idChiamata}") ?>" target="_blank">
                    <i class="fa fa-wrench"></i> Dichiarazione di riparazione
                </a>
            <?php } ?>
            <span class='btn btn-success salva-rapporto'><i class="fa fa-save"></i> Salva rapporto</span>
            <?php if (!$this->info->statoIntervento) { ?>
                <span class='btn btn-success salva-chiudi' data-toggle="modal" data-target="#close-intervento"><i class="fa fa-save"></i> Salva rapporto e chiudi intervento</span>
            <?php } ?>
        </div>
    </div>

    <input type="hidden" name="idDuvri" value="<?php echo $this->duvri->id ?>"/>
    <input type="hidden" name="idChiamata" value="<?php echo JRequest::getVar("idChiamata") ?>"/>
    <input type="hidden" name="idIntervento" value="<?php echo JRequest::getVar("idIntervento") ?>"/>
    <input type="hidden" name="tipoRapporto" value="2"/>
    <?php if ($this->rapporto) { ?>
        <input type="hidden" name="idRapporto" value="<?php echo $this->rapporto->idRapporto ?>"/>
    <?php } ?>
    <input type="hidden" name="tipoRapporto" value="2"/>
    <?php echo JHtml::_('form.token'); ?>

    <div class="modal fade in" id="close-intervento" style="display: none; padding-left: 0px;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title">
                        Vuoi chiudere questo intervento?
                    </h3>
                </div>
                <div class="modal-body">
                    <select name='statoIntervento'>
                        <option value='0' selected='selected' disabled='disabled'>- SELEZIONA -</option>
                        <option value='1'>Chiudi intervento</option>
                        <option value='2'>Sospendi intervento</option>
                    </select>
                    <hr class="divider">
                    <textarea name='noteCambioStato' class='hidden'></textarea>
                    <hr class="divider">
                    <div style="margin-bottom: 0">
                        <b>Attenzione:</b> sono stati rimossi dei piombi?
                        <label for="rimozionePiombi1">
                            <input type="radio" name="rimozionePiombi" id="rimozionePiombi1" value="1"> Si
                        </label>
                        <label for="rimozionePiombi0">
                            <input type="radio" name="rimozionePiombi"  id="rimozionePiombi0" value="0" checked="checked"> No
                        </label>
                        <div class="hidden checkRimozionePiombi">
                            <p class="text-muted" style="margin-bottom: 0; margin-top: 15px;"><b>Nota:</b> cliccando su Conferma, dichiari che, nel caso di rimozione piombi, è stato compilato il modulo di rilegalizzazione.</p>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <a class="btn btn-success chiudi-intervento disabled"><i class="fa fa-check-circle"></i> Conferma</a>
                            <a type="button" class="btn btn-default" data-dismiss="modal" href="javascript:void(0);"><i class="fa fa-undo"></i> annulla</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</form>
<script>
    jQuery(function ($) {

        var __rowdi = $(".pt-field:first-of-type").clone();
        $(__rowdi).find(".marca, .modello, .prod, .matricola, .tipologia, .pt-lv, .pt-lscatti").html("&nbsp;");
        $(__rowdi).find("input[type=text]").val("");
        $(__rowdi).find("textarea ").val("");
        $(__rowdi).find("select").val("");
        $(__rowdi).find("input:checked").removeAttr("checked");
        var __rowss = $(".ms-field:first-of-type").clone();
        $(__rowss).find(".marca, .modello, .prod, .matricola, .pt-lv, .pt-lscatti").html("&nbsp;");
        $(__rowss).find("input[type=text]").val("");
        $(__rowss).find("select").val("");
        $(__rowss).find("input:checked").removeAttr("checked");

        $(".pt-field").find("[name*='pt[id]']").each(function () {
            $(this).attr("name", $(this).attr("name").replace("id", 0));
        });
        $(".ms-field").find("[name*='ms[id]']").each(function () {
            $(this).attr("name", $(this).attr("name").replace("id", 0));
        });

        $(document).on("change", "[name='kmAndata']", function () {
            $("[name='kmRitorno']").val($(this).val());
        });

        $(document).on("change", "input.pt-lprima, input.pt-ldopo", function () {

            var l = $(this).parents(".this-field").find("input.pt-lprima").val();
            var v = $(this).parents(".this-field").find("input.pt-ldopo").val();

            if (l && v) {
                $(this).parents(".this-field").find(".pt-lscatti").text(parseFloat(v) - parseFloat(l));
            }
        });

        $(document).on("change", "[name='orai'], [name='minutoi'], [name='oraf'], [name='minutof']", function () {
            var di = new Date();
            var df = new Date();
            di.setHours($("[name='orai']").val());
            di.setMinutes($("[name='minutoi']").val());
            di = di.getTime() / 1000;
            df.setHours($("[name='oraf']").val());
            df.setMinutes($("[name='minutof']").val());
            df = df.getTime() / 1000;

            var timing = df - di;
            var h = "", m;
            if (timing > 0) {
                if (Math.floor(timing / 60 / 60) >= 1) {
                    h = Math.floor(timing / 60 / 60) + " Ore, ";
                }
                m = (timing / 60);
                if (m >= 60) {
                    var j = Math.floor(m / 60);
                    m = m - (60 * j);
                }
                if (m > 0) {
                    h += ", " + m + " Minuti";
                }
            }
            $("[name='oreLavoro']").val(h);
        });

        $(document).on("change", "[name='partenzaOre[h]'], [name='partenzaOre[m]'], [name='arrivoOre[h]'], [name='arrivoOre[m]']", function () {
            var di = new Date();
            var df = new Date();
            di.setHours($("[name='partenzaOre[h]']").val());
            di.setMinutes($("[name='partenzaOre[m]']").val());
            di = di.getTime() / 1000;
            df.setHours($("[name='arrivoOre[h]']").val());
            df.setMinutes($("[name='arrivoOre[m]']").val());
            df = df.getTime() / 1000;

            var timing = df - di;
            var h = "", m;
            if (timing > 0) {
                if (Math.floor(timing / 60 / 60) >= 1) {
                    h = Math.floor(timing / 60 / 60) + " Ore";
                }
                m = (timing / 60);
                if (m >= 60) {
                    var j = Math.floor(m / 60);
                    m = m - (60 * j);
                }
                if (m > 0) {
                    h += ", " + m + " Minuti";
                }
            }
            $("[name='percorrenzaAndata'], [name='percorrenzaRitorno']").val(h);
        });

        $(document).on("change", "input.pt-l, input.pt-v", function () {

            var l = $(this).parents(".this-field").find("input.pt-l").val();
            var v = $(this).parents(".this-field").find("input.pt-v").val();

            if (l && v) {
                $(this).parents(".this-field").find(".pt-lv").text(parseFloat(v) / parseFloat(l));
            }
        });

        $(".chosen-select").chosen({
            no_results_text: "Nessun risultato",
            placeholder_text_single: "Seleziona la matricola",
            width: "100%"
        });

        $(document).on("change", ".matricole-pistole, .matricole-computer, .matricole-ss", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            $(this).parents(".this-field").find(".marca").text($(this).find("option:selected").data("marca"));
            $(this).parents(".this-field").find(".modello").text($(this).find("option:selected").data("modello"));
            $(this).parents(".this-field").find(".prod").text($(this).find("option:selected").data("prod"));
            $(this).parents(".this-field").find(".matricola").text($(this).find("option:selected").data("matricola"));
            $(this).parents(".this-field").find(".tipologia").text($(this).find("option:selected").data("tipologia"));
        });

        $(document).on("click", ".add-row-distributori", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var newrow = $(__rowdi).clone();
            var _index = $(".pt-field").size();

            $(newrow).find("[name*='pt[id]']").each(function () {
                $(this).attr("name", $(this).attr("name").replace("id", _index));
            });
            $(newrow).find(".matricole-pistole").chosen({
                no_results_text: "Nessun risultato",
                placeholder_text_single: "Seleziona la matricola della pisola",
                width: "100%"
            });

            $(newrow).appendTo(".pt-field-container");

            return false;
        });

        $(document).on("click", ".add-row-ss", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var newrow = $(__rowss).clone();
            var _index = $(".ms-field").size();

            $(newrow).find("[name*='ms[id]']").each(function () {
                $(this).attr("name", $(this).attr("name").replace("id", _index));
            });

            $(newrow).appendTo(".ms-field-container");

            return false;
        });

        $(document).on("click", ".remove-row", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            $(this).parents(".this-field").remove();
            return false;
        });

        $(document).on("click", ".salva-rapporto:not(.disabled), .chiudi-intervento:not(.disabled)", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var __data = $("form[name=rapporto]").serialize();

            $.ajax({
                url: "<?php echo JUri::root() ?>index.php?option=com_osma&task=chiusura.salvaRapporto&format=raw",
                method: 'POST',
                data: __data
            }).done(function (data) {
                data = JSON.parse(data);
                if (!data.response) {
                    console.log(data.message);
                }
                eval(data.script);
            });
            return false;
        });
    });
</script>